<?php
 session_start();
   include("db.php");
   include("../pdate.php");
    $counterCurrency=$_POST['counterCurrency'];
    $transaction_type=$_POST['transaction_type'];
	
	
	
  
    if($counterCurrency!="all" ){
	   //if($transaction_type==1){
	   //biger than zero
	    echo $customerTotal_sql="select sum(amount) from customeropeningbalance where currencyId='$counterCurrency' and amount>0 and remove='0'   ";
	  //}
	 /*  if($transaction_type==2){
	   echo $customerTotal_sql="select sum(amount) from customeropeningbalance where currencyId='$counterCurrency' and amount<0 and remove='0' ";
	  } */
    
     $customerTotal_query= $db ->query($customerTotal_sql);
     $customerTotal_row=$customerTotal_query ->fetch_array();
	 $customerTotal=number_format($customerTotal_row['sum(amount)'],2);
	 
	 
  }  
   $get_customerTotal=$_GET['customerTotal'];
   
   if(isset($get_customerTotal)){
	   $customerTotal= $get_customerTotal;  
   }
   
   
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<title>لیست حسابات افتتاحیه</title>
<head>
    <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 
   <link rel="icon" href="../images/favicon.ico" type="image/png"/>  
   <link rel="stylesheet" href="table_style/table_style7.css">
   <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../css/print.css" /> 
<!-- ===================ÇíÌÇÏ íÇã ÈÑÇí æíÑÇíÔ ÝÇíá====================================-->
<script type="text/javascript" src="../change/edite/revenue_edite.js"></script> 
<script type="text/javascript" src="../change/delete/revenue_delete.js"></script>
 
<!--======================= ÇíÇä  ============================================================-->
 <style>
 a:link {
    text-decoration: none;
	color: #000;
}

 a:hover {
    color: red;
	text-decoration: underline;
}
a:active {
     
    color: #000;
}

@font-face {
	  font-family: 'hekmat';
	  src: url('../font/BHoma.ttf'); /* IE */
      src: local('BHoma-Bold'), url('../font/BHoma.ttf') format('truetype'); /* non-IE */
      font-weight:normal;
}
.font{
    color: #000;
    font-family: 'hekmat';  

}
a{
    color: #000;
    font-family: 'hekmat';  

}
@media print {

   .dontPrint {
       display:none;
    }

    }
	
	@media all{
.page-break{display:none;}
}
@media print{
.page-break{display:block;page-break-after:always;}
.dote img {visibility: visible;}
}
 
@page 
{
   size: auto;   /* auto is the initial value */
    margin: 3mm;  /* this affects the margin in the printer settings */
 }
  @media print {
    html, body {
        height: 99%;    
    }
}
 </style>

</head>
	<body onkeydown = "onKeyDown()" onKeyPress="return disableEnterKey(event)">
 <?php  //include("r_c_d_s_p/back_print_save_refresh.php"); ?>
<div id="wrap">
<table border="0" align="center"   width="930px" dir="rtl" class="font">
		<tr>
			<th style="width:166px;text-align:right">
			   
			</th>	 
			
			
			
			 
			  
				 </th>
				<th style="width:206px"><h2> <?php include("../info/companyName.php"); ?></h2>لیست حسابات افتتاحیه&nbsp;(<span dir="rtl"> <?php echo pdate("Y-m-d")?>)<br><?php echo $customerTotal ?></span>
			    
				 
				 
			  
			  
			
			<th style="width:186px;text-align:left;height: 40px" > </th>
			 
		</tr>
		</table> 

 <div id='content'>
 
  <?php
     $counterCurrency=$_POST['counterCurrency'];
     if(isset($counterCurrency)){
          $counterCurrency=$_POST['counterCurrency'];
       }	 
	 //$_SESSION['counterCurrency']=$counterCurrency;
     if(!isset($counterCurrency)){
          $counterCurrency=$_GET['currency']; 
       }	 
	 
    include("db.php");
	$tableName="customeropeningbalance";		
	$targetpage = "openingBalance_report.php"; 	
	$limit = 24; 
	if($counterCurrency=="all"){
	
	 $sql="SELECT COUNT(*) as num FROM `$tableName`   ";
	}
	if($counterCurrency!="all"){
	    if($transaction_type==1){
		    $sql="SELECT COUNT(*) as num FROM `$tableName` where  currencyId='$counterCurrency' and amount>0 and remove='0'";
		 }
		if($transaction_type==2){
		    $sql="SELECT COUNT(*) as num FROM `$tableName` where  currencyId='$counterCurrency' and amount<0  and remove='0' ";
		 }
	 
	}
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page >=1){
	 $countId=($page*24)-24;
	 }
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">مشتری</th>
				<th scope="col">نوعیت پول</th>
				<th scope="col">مقدار طلب</th>
				 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						  
						 
					    if($counterCurrency=="all"){
						   $mony_sql="SELECT   *  FROM `$tableName`   LIMIT $start, $limit";
						 }
						 if($counterCurrency!="all"){
						     if($transaction_type==1){
							    $mony_sql="SELECT   *  FROM `$tableName` where  currencyId='$counterCurrency' and amount>0 and remove='0'  LIMIT $start, $limit";
							 } 
							 if($transaction_type==2){
							     $mony_sql="SELECT   *  FROM `$tableName` where  currencyId='$counterCurrency' and amount<0 and remove='0'  LIMIT $start, $limit";
							 }
						   
						 }
						 $mony_query= $db ->query($mony_sql);
				  
						  $ii=$countId;
                          while($nrow=$mony_query ->fetch_array()){
						    $ii++;
							 
							$customerId= $nrow['customerId'];
							$currencyId	= $nrow['currencyId'];
							$all+=$amount= $nrow['amount'];
					 		//=============================================================
							 
							 
							//******************************customer Name*******************************
							 $customerName_sql="select name from  `customers` where id='$customerId'";
							 $customerName_query=$db ->query($customerName_sql);
							 $customerName_row=$customerName_query ->fetch_array();
							 $customerName=$customerName_row['name'];	
							//=============================================================
							 //******************************Base Courrency*******************************
							 $basecurrency_sql="select name from  `currencies` where id='$currencyId'";
							 $basecurrency_query=$db ->query($basecurrency_sql);
							 $basecurrency_row=$basecurrency_query ->fetch_array();
							 $currency=$basecurrency_row['name'];	
							//=============================================================
							 
							    
						    //**************************************************************************************************   
							 
							 
			echo "<tbody>
			<tr>
			<td>".$ii."</td>
			<td>".$customerName."</td>
			<td>".$currency."</td>
			<td>".number_format($amount)."</td> 
			 
			 
			 </tr>";	

                
               			 
				 	  } 
		 echo '<tr style="color: red">';
		   if($counterCurrency!="all"){
            echo' <td colspan="6"  style="text-align: left;"><hr style="border:1px solid #000;"><sapn style="color: #000;font-weight: bold;font-size: 16px">مجموع: &nbsp;&nbsp;&nbsp;'.number_format($all).'&nbsp;'.$currency.'  </span></td>';
			 
		 }
	 echo'</table>';
              	
	 echo "<br></div>";
	 echo "<div class='dontPrint'>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev & currency=$counterCurrency  & customerTotal= $customerTotal'  >قبلی</a>";
		}else{
			$paginate.= "<span class='disabled'>قبلی</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter & currency=$counterCurrency  & customerTotal= $customerTotal'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter & currency=$counterCurrency  & customerTotal= $customerTotal'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1 & currency=$counterCurrency  & customerTotal= $customerTotal'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage & currency=$counterCurrency  & customerTotal= $customerTotal''>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1 & currency=$counterCurrency  & customerTotal= $customerTotal'>1</a>";
				$paginate.= "<a href='$targetpage?page=2 & currency=$counterCurrency  & customerTotal= $customerTotal'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter & currency=$counterCurrency  & customerTotal= $customerTotal'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1 & currency=$counterCurrency  & customerTotal= $customerTotal'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage & currency=$counterCurrency  & customerTotal= $customerTotal'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1 & currency=$counterCurrency  & customerTotal= $customerTotal'>1</a>";
				$paginate.= "<a href='$targetpage?page=2 & currency=$counterCurrency  & customerTotal= $customerTotal'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter & currency=$counterCurrency  & customerTotal= $customerTotal'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next & currency=$counterCurrency  & customerTotal= $customerTotal'>بعدی</a>";
		}else{
			$paginate.= "<span class='disabled'>بعدی</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 // pagination
 echo $paginate; 
   echo "<br>";
    $pageNumber=$_GET['page'];
   if($pageNumber==""){
       $pageNumber="1";
      
      }
     else{

           $pageNumber;
    }	 
 

?>
</tbody></table>
	</div>
</div> 
 
 <div id="footer" class="font" style="width: 400px;height: 25px; margin: auto;background: #7E7D7D;text-align: center;border-radius:20px" ><?php echo "صفحه:".$pageNumber; ?></div>
 </body>
  
 </html>  
 
     